Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 2750

Summary: ios::ate broken
Product: [Retired] Red Hat Linux Reporter: Red Hat Bugzilla <bugzilla>
Component: libstdc++Assignee: Jakub Jelinek <jakub>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: high Docs Contact:
Priority: medium    
Version: 6.0   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2002-12-15 04:15:38 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Red Hat Bugzilla 1999-05-12 00:02:46 UTC
The openmode element ios::ate of the Standard C++ I/O
library does not work. When a file has been opened, the file
position pointer is still at the beginning. This breaks any
C++ program that use ios::ate upon opening a file to seek to
the end of the file immediately, without doing an explicit
seekg(0,ios::end). In RHL 5.2 it works fine.

Comment 1 Red Hat Bugzilla 1999-05-16 19:14:59 UTC
#include <iostream.h>
#include <fstream.h>

int main(int, char*[])
{
    ifstream
inFile("PUT_YOUR_FILENAME_HERE",ios::in|ios::binary|ios::nocreate|ios::ate);
    cout << "filesize is " << inFile.tellg()
        << ", but should be ";
    inFile.seekg(0,ios::end);
    cout << inFile.tellg() << endl;
    exit(0);
}

Comment 2 Red Hat Bugzilla 2000-05-22 14:53:59 UTC
assign to jakub